Categories:
  - Science & Education
License: GPL-3.0-only
SourceCode: https://github.com/marunjar/anewjkuapp
IssueTracker: https://github.com/marunjar/anewjkuapp/issues

AutoName: JKU App
Description: |-
    This is an app for the students of JKU Linz that provides most of the data from
    KUSSS and also information from ÖH and the JKU in general:

    * synchronize timetable with local or Google Calendar.
    * access Exams, Grades, Courses.
    * get notifications for new exams, grades and changed course dates
    * included campus map for "navigation"
    * shows menu for JKU Mensa, Raab Mensa and KHG Mensa

RepoType: git
Repo: https://github.com/marunjar/anewjkuapp.git

Builds:
  - versionName: '0.38'
    versionCode: 140038
    commit: v0.38
    subdir: aNewJKUApp
    gradle:
      - fdroid
    srclibs:
      - MPAndroidChart@d9ae5fae0a07bdbd526e9e89d32ba99cc7501935
    rm:
      - tools
    prebuild:
      - sed -i -e '/jitpack/d' ../build.gradle
      - sed -i -e '/applicationVariants/,+2d' -e '/def appendVersionNameVersionCode/,+7d'
        -e 's|googleCompile|//googleCompile|g' build.gradle
      - cp -fR $$MPAndroidChart$$ ../
      - echo -e 'include ":MPChartLib"' >> ../settings.gradle
      - sed -i -e '/MPAndroidChart/acompile project(":MPChartLib")' build.gradle
      - sed -i -e '/MPAndroidChart/d' build.gradle
      - sed -i -e '/android-maven/d' ../MPChartLib/build.gradle

  - versionName: '0.39'
    versionCode: 140039
    commit: v0.39
    subdir: aNewJKUApp
    gradle:
      - fdroid
    srclibs:
      - MPAndroidChart@d9ae5fae0a07bdbd526e9e89d32ba99cc7501935
    rm:
      - tools
    prebuild:
      - sed -i -e '/jitpack/d' ../build.gradle
      - sed -i -e '/applicationVariants/,+2d' -e '/def appendVersionNameVersionCode/,+7d'
        -e 's|googleCompile|//googleCompile|g' build.gradle
      - cp -fR $$MPAndroidChart$$ ../
      - echo -e 'include ":MPChartLib"' >> ../settings.gradle
      - sed -i -e '/MPAndroidChart/acompile project(":MPChartLib")' build.gradle
      - sed -i -e '/MPAndroidChart/d' build.gradle
      - sed -i -e '/android-maven/d' ../MPChartLib/build.gradle

  - versionName: '0.40'
    versionCode: 140040
    commit: v0.40
    subdir: aNewJKUApp
    gradle:
      - fdroid
    srclibs:
      - MPAndroidChart@a0347bb782810992ad015e0dc1b90e1b71658ea2
    rm:
      - tools
    prebuild:
      - sed -i -e '/jitpack/d' ../build.gradle
      - sed -i -e '/applicationVariants/,+2d' -e '/def appendVersionNameVersionCode/,+7d'
        -e 's|googleCompile|//googleCompile|g' build.gradle
      - cp -fR $$MPAndroidChart$$ ../
      - echo -e 'include ":MPChartLib"' >> ../settings.gradle
      - sed -i -e '/MPAndroidChart/acompile project(":MPChartLib")' build.gradle
      - sed -i -e '/MPAndroidChart/d' build.gradle
      - sed -i -e '/android-maven/d' ../MPChartLib/build.gradle

  - versionName: '0.41'
    versionCode: 140041
    commit: v0.41
    subdir: aNewJKUApp
    gradle:
      - fdroid
    srclibs:
      - MPAndroidChart@2eca41fc8f71e7f889494df743a078c0b5a389da
    rm:
      - tools
    prebuild:
      - sed -i -e '/jitpack/d' ../build.gradle
      - sed -i -e '/applicationVariants/,+2d' -e '/def appendVersionNameVersionCode/,+7d'
        -e 's|googleCompile|//googleCompile|g' build.gradle
      - cp -fR $$MPAndroidChart$$ ../
      - echo -e 'include ":MPChartLib"' >> ../settings.gradle
      - sed -i -e '/MPAndroidChart/acompile project(":MPChartLib")' build.gradle
      - sed -i -e '/MPAndroidChart/d' build.gradle
      - sed -i -e '/android-maven/d' ../MPChartLib/build.gradle

  - versionName: 0.42.4
    versionCode: 140046
    commit: v0.42.4
    subdir: aNewJKUApp
    gradle:
      - fdroid
    rm:
      - tools
    prebuild: sed -i -e '/applicationVariants/,+2d' -e '/def appendVersionNameVersionCode/,+7d'
        -e 's|googleCompile|//googleCompile|g' build.gradle

  - versionName: 0.43.1
    versionCode: 140049
    commit: v0.43.1
    subdir: aNewJKUApp
    gradle:
      - fdroid
    rm:
      - tools
    prebuild: sed -i -e '/applicationVariants/,+2d' -e '/def appendVersionNameVersionCode/,+7d'
        -e 's|googleCompile|//googleCompile|g' build.gradle

  - versionName: 0.44.1
    versionCode: 140053
    commit: v0.44.1
    subdir: aNewJKUApp
    gradle:
      - fdroid
    rm:
      - tools
    prebuild: sed -i -e '/applicationVariants/,+2d' -e '/def appendVersionNameVersionCode/,+7d'
        -e 's|googleCompile|//googleCompile|g' build.gradle

  - versionName: 0.45.1
    versionCode: 140055
    disable: constraint-layout
    commit: 0.45.1
    subdir: aNewJKUApp
    gradle:
      - fdroid
    rm:
      - tools
    prebuild: sed -i -e '/applicationVariants/,+6d' -e 's|googleCompile|//googleCompile|g'
        build.gradle

  - versionName: 0.45.2
    versionCode: 140056
    commit: 0.45.2
    subdir: aNewJKUApp
    gradle:
      - fdroid
    rm:
      - tools
    prebuild: sed -i -e '/applicationVariants/,+6d' -e 's|googleCompile|//googleCompile|g'
        build.gradle

  - versionName: 0.45.3
    versionCode: 140057
    commit: 0.45.3
    subdir: aNewJKUApp
    gradle:
      - fdroid
    rm:
      - tools
    prebuild: sed -i -e '/applicationVariants/,+6d' -e 's|googleCompile|//googleCompile|g'
        build.gradle

  - versionName: 0.50.0
    versionCode: 140059
    commit: v0.50.0
    subdir: aNewJKUApp
    gradle:
      - fdroid
    rm:
      - tools
    prebuild: sed -i -e '/applicationVariants/,+4d' -e 's|googleCompile|//googleCompile|g'
        build.gradle

  - versionName: 0.50.2
    versionCode: 140061
    commit: v0.50.2
    subdir: aNewJKUApp
    gradle:
      - fdroid
    rm:
      - tools
    prebuild: sed -i -e '/applicationVariants/,+4d' -e 's|googleCompile|//googleCompile|g'
        build.gradle

  - versionName: 0.51.1
    versionCode: 140064
    commit: v0.51.1
    subdir: aNewJKUApp
    gradle:
      - fdroid
    rm:
      - tools
    prebuild: sed -i -e '/applicationVariants/,+4d' -e 's|googleCompile|//googleCompile|g'
        build.gradle

MaintainerNotes: Disable AUM when build/sed proves to be to fragile.

AutoUpdateMode: Version v%v
UpdateCheckMode: Tags
CurrentVersion: 0.51.1
CurrentVersionCode: 140064
